/*
 * GTI (Generic Tool Infrastructure)
 * Copyright (C) ZIH, Technische Universitaet Dresden, Federal Republic of Germany, 2009-2011
 * Copyright (C) Lawrence Livermore National Laboratories, United States of America, 2009-2011
 *
 * See the file LICENSE.txt in the package base directory for details
 */

/**
 * @file CStratThreaded.cpp
 *        Application phase aware communication strategy.
 *
 * Provides the interface functionality with an implementation
 * that tries to avoid any comm. during phases in which the
 * application is communicating.
 *
 * @author Tobias Hilbrich
 * @date 25.08.2009
 */

#include "CStratThreaded.h"

using namespace gti;

unsigned long CStratThreaded::BUF_LENGTH 			    = 100 *1024; //100KB
unsigned long CStratThreaded::MAX_NUM_MSGS 			    = 100;
const unsigned long CStratThreaded::myTokenShutdownSync = 0xFFFFFFFF;
const unsigned long CStratThreaded::myTokenMessage 		= 0xFFFFFFFE;
const unsigned long CStratThreaded::myTokenLongMsg 		= 0xFFFFFFFD;

//=============================
// CStratThreaded
//=============================
CStratThreaded::CStratThreaded ()
{
	//Nothing to do
}

//=============================
// ~CStratThreaded
//=============================
CStratThreaded::~CStratThreaded ()
{
	//Nothing to do
}

/*EOF*/
