/*
 * GTI (Generic Tool Infrastructure)
 * Copyright (C) ZIH, Technische Universitaet Dresden, Federal Republic of Germany, 2009-2011
 * Copyright (C) Lawrence Livermore National Laboratories, United States of America, 2009-2011
 *
 * See the file LICENSE.txt in the package base directory for details
 */

/**
 * @file CStratThreaded.h
 *        Application phase aware communication strategy.
 *
 * Provides the interface functionality with an implementation
 * that tries to avoid any comm. during phases in which the
 * application is communicating.
 *
 * @author Tobias Hilbrich
 * @date 25.08.2009
 */

#include "GtiDefines.h"
#include "GtiEnums.h"
#include "GtiTypes.h"

#ifndef CSTRAT_THREADED_H
#define CSTRAT_THREADED_H

namespace gti
{
	/**
	 * Base class for the non-blocking send based communication
	 * strategy.
	 */
	class CStratThreaded
	{
	protected:
        static unsigned long 		  BUF_LENGTH;
        static unsigned long 		  MAX_NUM_MSGS;
        static const unsigned long 	  myTokenLongMsg;
		static const unsigned long 	  myTokenShutdownSync;
		static const unsigned long 	  myTokenMessage;

	public:
		CStratThreaded ();
		virtual ~CStratThreaded ();
	};
}

#endif /*CSTRAT_THREADED_H*/
