/*
 * GTI (Generic Tool Infrastructure)
 * Copyright (C) ZIH, Technische Universitaet Dresden, Federal Republic of Germany, 2009-2011
 * Copyright (C) Lawrence Livermore National Laboratories, United States of America, 2009-2011
 *
 * See the file LICENSE.txt in the package base directory for details
 */

/**
 * @file OtfDummyTracer.cpp
 *       Dummy implementation for the OTF tracer.
 *
 * @author Tobias Hilbrich
 */

#include <assert.h>
#include <stdio.h>
#include "OtfTracer.h"

using namespace gti;

OTF_Tracer::OTF_Tracer (void)
{
}

OTF_Tracer::~OTF_Tracer (void)
{
}

uint32_t OTF_Tracer::getProcessId (void)
{
    return 0;
}

GTI_RETURN OTF_Tracer::setup (uint32_t processId, uint32_t parent, const char* processName)
{
    return GTI_SUCCESS;
}

GTI_RETURN OTF_Tracer::setup (OTF_Tracer* copy_from)
{
    return GTI_SUCCESS;
}

GTI_RETURN OTF_Tracer::defFunctionGroup (uint32_t id, const char* name)
{
    return GTI_SUCCESS;
}

GTI_RETURN OTF_Tracer::defFunction (uint32_t id, const char* name, uint32_t group_id)
{
    return GTI_SUCCESS;
}

GTI_RETURN OTF_Tracer::writeEnter (uint32_t function_id)
{
    return GTI_SUCCESS;
}

GTI_RETURN OTF_Tracer::writeLeave (uint32_t function_id)
{
    return GTI_SUCCESS;
}

GTI_RETURN OTF_Tracer::writeSendMsg (uint32_t receiver, uint32_t tag, uint32_t length)
{
    return GTI_SUCCESS;
}

GTI_RETURN OTF_Tracer::writeRecvMsg (uint32_t sender, uint32_t tag, uint32_t length)
{
    return GTI_SUCCESS;
}

/*EOF*/
